
QGIS Application - Bug report #11311

DB Manager doesn't import PostGIS data in view with dblink

2014-10-02 09:46 AM - Moreno Comelli

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19607

Description

I tried to import in QGIS a view with a PostGIS geometry column, which data are obtained from a second db (using dblink in Postgres).

It works through the normal 'Add PostGIS layer', not through DB Manager.

CREATE OR REPLACE VIEW my_view AS 

 SELECT id, geomfromtext('POINT('|| x_coo || ' ' || y_coo || ')', 3003)

   FROM dblink('host=127.0.0.1 port=5432 dbname=xxx user=xxx password=xxx',

    'SELECT id, x_coo, y_coo FROM my_table;') AS m (id numeric, x_coo numeric, y_coo numeric);

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
